POST api/Challenges/PostDetails
Request Information
URI Parameters
None.
Body Parameters
PostDetailsModel| Name | Description | Type | Additional information |
|---|---|---|---|
| postId | integer |
Required |
|
| accountId | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"postId": 1,
"accountId": 2
}
text/plain, application/octet-stream
Sample:
{"postId":1,"accountId":2}
application/xml, text/xml
Sample:
<PostDetailsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges"> <accountId>2</accountId> <postId>1</postId> </PostDetailsModel>
multipart/form-data, application/form-data
Sample:
<PostDetailsModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges"><accountId>2</accountId><postId>1</postId></PostDetailsModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ChallengePostDetailsDto| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| title | string |
None. |
|
| description | string |
None. |
|
| commentArtGuid | globally unique identifier |
None. |
|
| image | string |
None. |
|
| date | date |
None. |
|
| totalLikes | integer |
None. |
|
| commentSystemCommentsCount | integer |
None. |
|
| shareCount | integer |
None. |
|
| viewsCount | integer |
None. |
|
| shareLink | string |
None. |
|
| isLiked | boolean |
None. |
|
| isMember | boolean |
None. |
|
| postOwnerId | integer |
None. |
|
| ownerName | string |
None. |
|
| ownerProfileImage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": 1,
"title": "sample string 2",
"description": "sample string 3",
"commentArtGuid": "12825112-ddea-48aa-870d-5d4357847c89",
"image": "sample string 1",
"date": "2026-04-12T17:57:38.8705911+03:00",
"totalLikes": 1,
"commentSystemCommentsCount": 1,
"shareCount": 1,
"viewsCount": 6,
"shareLink": "sample string 7",
"isLiked": true,
"isMember": true,
"postOwnerId": 1,
"ownerName": "sample string 9",
"ownerProfileImage": "sample string 2"
}
text/plain, application/octet-stream
Sample:
{"id":1,"title":"sample string 2","description":"sample string 3","commentArtGuid":"12825112-ddea-48aa-870d-5d4357847c89","image":"sample string 1","date":"2026-04-12T17:57:38.8705911+03:00","totalLikes":1,"commentSystemCommentsCount":1,"shareCount":1,"viewsCount":6,"shareLink":"sample string 7","isLiked":true,"isMember":true,"postOwnerId":1,"ownerName":"sample string 9","ownerProfileImage":"sample string 2"}
application/xml, text/xml
Sample:
<ChallengePostDetailsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges"> <commentArtGuid>12825112-ddea-48aa-870d-5d4357847c89</commentArtGuid> <commentSystemCommentsCount>1</commentSystemCommentsCount> <date>2026-04-12T17:57:38.8705911+03:00</date> <description>sample string 3</description> <id>1</id> <image>sample string 1</image> <isLiked>true</isLiked> <isMember>true</isMember> <ownerName>sample string 9</ownerName> <ownerProfileImage>sample string 2</ownerProfileImage> <postOwnerId>1</postOwnerId> <shareCount>1</shareCount> <shareLink>sample string 7</shareLink> <title>sample string 2</title> <totalLikes>1</totalLikes> <viewsCount>6</viewsCount> </ChallengePostDetailsDto>
multipart/form-data, application/form-data
Sample:
<ChallengePostDetailsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services.Challenges"><commentArtGuid>12825112-ddea-48aa-870d-5d4357847c89</commentArtGuid><commentSystemCommentsCount>1</commentSystemCommentsCount><date>2026-04-12T17:57:38.8705911+03:00</date><description>sample string 3</description><id>1</id><image>sample string 1</image><isLiked>true</isLiked><isMember>true</isMember><ownerName>sample string 9</ownerName><ownerProfileImage>sample string 2</ownerProfileImage><postOwnerId>1</postOwnerId><shareCount>1</shareCount><shareLink>sample string 7</shareLink><title>sample string 2</title><totalLikes>1</totalLikes><viewsCount>6</viewsCount></ChallengePostDetailsDto>